Bug 120379 - After creating a new user, the user can't login properly
After creating a new user, the user can't login properly
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
: 121664 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-04-08 02:38 EDT by Eugenia Loli-Queru
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-28 12:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eugenia Loli-Queru 2004-04-08 02:38:26 EDT
Description of problem:
AlexL asked me to create a new user in order to investigate bug 
#119666 and so I logged in as root (I couldn't use "su" or "sudo" 
because of bug #119406 ) and used system-config-users to create a 
user called "jbq". 

I added the login name, full name, pass and also added the user to 
the wheel group. I did no other changes to that pref panel.

It created the user and then I tried to relogin as jbq. But now it 
wouldn't login, it would say that /home/jbq does not exist (it DOES 
exist btw) and that I would need to use failsafe and the / folder as 
jbq's home folder! The only DE I was able to boot was XFce. 
Gnome/Default won't boot it would just spit me back to the login 

In the meantime, the console 1, would give the following error 

audit (1001405726.966.0: avc: denied (getattr) for pid=4110 
exe=/bin/bash path=/home/jbq dev=hda2 ino=1305829 
scontext=system_u:system_r:xdm_t tcontext=root:object_r:home_root_t 

Honestly guys, the one bug brings me to the other. I only used Fedora 
for a few hours the last few days and all I do is find more and more 
important bugs. You might want to rename it as "alpha", cause this 
thing ain't no beta. :(

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. See above.

Additional info:
Comment 1 Brent Fox 2004-04-19 14:31:04 EDT
I think that the user-related problems you are seeing are SELinux
related.  Did you install with SELinux in Active, Permissive, or
Disabled mode?
Comment 2 Brent Fox 2004-04-27 14:52:52 EDT
Comment 3 Brent Fox 2004-04-27 14:53:40 EDT
*** Bug 121664 has been marked as a duplicate of this bug. ***
Comment 4 Eugenia Loli-Queru 2004-04-27 15:06:41 EDT
>Did you install with SELinux in Active, Permissive, or Disabled mode?

Oops, sorry Brent, I somehome missed your question. 
I installed SELinux with the default found in Anaconda, whatever that 
default was.
Comment 5 Brent Fox 2004-04-28 12:32:11 EDT
Yes, the default was on in test2.  In test3, we've disabled SELinux by
default.  The only way to enable it is to manually pass some boot time
options.  The disabling of SELinux will make this problem go away. 
This is working for me with the test3 trees.  Please reopen this bug
report if you see the same behavior with test3.  

Note You need to log in before you can comment on or make changes to this bug.